package com.zd.laboratory.service;

import java.util.List;

import com.zd.laboratory.domain.LabCheckConfig;

/**
 * 检查推送信息配置Service接口
 *
 * @author liubo
 * @date 2021-12-30
 */
public interface ILabCheckConfigService {
    /**
     * 查询检查推送信息配置
     *
     * @param id 检查推送信息配置主键
     * @return 检查推送信息配置
     */
    public LabCheckConfig selectLabCheckConfigById(Long id);

    /**
     * 查询检查推送信息配置列表
     *
     * @param labCheckConfig 检查推送信息配置
     * @return 检查推送信息配置集合
     */
    public List<LabCheckConfig> selectLabCheckConfigList(LabCheckConfig labCheckConfig);

    /**
     * 新增检查推送信息配置
     *
     * @param labCheckConfig 检查推送信息配置
     * @return 结果
     */
    public int insertLabCheckConfig(LabCheckConfig labCheckConfig);

    /**
     * 修改检查推送信息配置
     *
     * @param labCheckConfig 检查推送信息配置
     * @return 结果
     */
    public int updateLabCheckConfig(LabCheckConfig labCheckConfig);

    /**
     * 批量删除检查推送信息配置
     *
     * @param ids 需要删除的检查推送信息配置主键集合
     * @return 结果
     */
    public int deleteLabCheckConfigByIds(Long[] ids);

    /**
     * 删除检查推送信息配置信息
     *
     * @param id 检查推送信息配置主键
     * @return 结果
     */
    public int deleteLabCheckConfigById(Long id);

    LabCheckConfig getCheckConfigInfo();
}
